class Sphere
{
public:
// everything as before, except displayStatistics
// and getArea are virtual

// constructors:
   Sphere();
   Sphere(double initialRadius);
   // copy constructor and destructor supplied
   // by the compiler

// Sphere operations:
   void setRadius(double newRadius);
   double getRadius() const;
   double getDiameter() const;
   double getCircumference() const;
   double getVolume() const;

   virtual double getArea() const;
   virtual void displayStatistics() const;

private:
   double theRadius; // the sphere's radius
}; // end class
