#include "Sphere386.h"
#include <string>
using namespace std;
 
class Ball: public Sphere
{
public:
// constructors:
   Ball();

   Ball(double initialRadius, 
        const string& initialName);
   // Creates a ball with radius initialRadius and 
   // name initialName.

   // copy constructor and destructor supplied
   // by the compiler

// additional or revised operations:
   void getName(string& currentName) const;
   // Determines the name of a ball.

   void setName(const string& newName);
   // Sets (alters) the name of an existing ball.

   void resetBall(double newRadius, 
                  const string& newName);
   // Sets (alters) the radius and name of an existing
   // ball to newRadius and newName, respectively.

   void displayStatistics() const;
   // Displays the statistics of a ball.

private:
   string theName;  // the ball's name
};  // end class